##### 简要描述

- 坦克充值活动页所需信息

	> 奖励定义信息的列表（并为每条奖励注明该用户 `[是否有资格领取]` ）
	>
	> 用户的周期充值额度

##### 请求URL
- ` /ordercycle/index `
  
##### 请求方式
- POST|GET 

##### 参数

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|cycle_type |否  |string |周期类型，默认为周(week)。其它值有 月(month)、日(date)   |

##### 响应属性
> 释义详见 `[返回示例]`

|参数名|类型|说明|
|:----  |:---- |
|data.cycle_symbol |string | 充值统计周期的标识符，例如：20221111（日），202211（月），2246（周,即2022年第46周） |
|data.level |string | 充值`已`达标等级，v1~vn，如未达标，则为null |
|data.amount |int | 周期充值金额合计（分） |
|data.amount_rmb |int/float | 周期充值金额合计（元） |
|data.rewards[N].reward_id |string | 奖励定义信息ID |
|data.rewards[N].name |string | 例如：500元充值礼包 |
|data.rewards[N].level |string | 此奖励的要求达标等级 |
|data.rewards[N].reach_amount |string | 达标所需的周期最低充值总额（分） |
|data.rewards[N].cycle_type |string | 周期类型，默认为周(week)。其它值有 月(month)、日(date)  |
|data.rewards[N].rewardJSON |object | 奖励数据 |
|data.rewards[N].rewardJSON.struct |string | 约定的奖励数据结构类型，便于前端以不同的方式解包数据 |
|data.rewards[N].rewardJSON.data |object | 此为具体的奖励数据，结构会根据rewardJSON.struct灵活调整。现在暂时只有一种结构 |
|data.rewards[N].rewardJSON.data[N] |array | 当奖励数据结构为默认时，此data属性为Array类型 |
|data.rewards[N].rewardJSON.data[N].name |string | 奖品名称（必有字段） |
|data.rewards[N].rewardJSON.data[N].img |string | 奖品图片（必有字段） |
|data.rewards[N].rewardJSON.data[N].type |string | 奖品类型（必有字段），有：maskcard-伪装卡、coin-金币 |
|data.rewards[N].rewardJSON.data[N].cardCode |string | 伪装卡密(只有伪装卡才有此字段)：没有领到奖时，此为空串; 领到伪装卡奖励时，就有卡密 |
|data.rewards[N].rewardJSON.data[N].cardName |string | 伪装卡名称(只有伪装卡才有此字段)，跟页游后台配置的卡码类型库有关 |
|data.is_reached |bool | 是否有资格领取 |
|data.is_received |bool | 是否已领取 |



##### 返回示例 

``` 
{
    "rs": true,
    "msg": "ok",
    "data": {
        "cycle_symbol": "2246",
        "level": "v6",
        "amount": 10100000,
        "amount_rmb": 101000,
        "rewards": [
            {
                "reward_id": "1",
                "name": "500元充值礼包",
                "level": "v1",
                "reach_amount": "50000",
                "cycle_type": "week",
                "reward_json": "{\"struct\":\"struct1\",\"data\":[{\"name\":\"伪装卡(随机场次)\",\"img\":\"https://pub.ouj.com/xie-h5/guide/power-1@2x.png\",\"type\":\"maskcard\",\"cardTypeName\":\"5场次\",\"cardCode\":\"\"},{\"name\":\"100金币\",\"img\":\"https://pub.ouj.com/xie-h5/guide/power-1@2x.png\",\"type\":\"coin\"}]}",
                "rewardJSON": {
                    "struct": "struct1",
                    "data": [
                        {
                            "name": "伪装卡(随机场次)",
                            "img": "https://pub.ouj.com/xie-h5/guide/power-1@2x.png",
                            "type": "maskcard",
                            "cardTypeName": "5场次",
                            "cardCode": ""
                        },
                        {
                            "name": "100金币",
                            "img": "https://pub.ouj.com/xie-h5/guide/power-1@2x.png",
                            "type": "coin"
                        }
                    ]
                },
                "is_received": true,
                "is_reached": true
            },
            {
                "reward_id": "2",
                "name": "1000元充值礼包",
                "level": "v2",
                "reach_amount": "100000",
                "cycle_type": "week",
                "reward_json": "{\"struct\":\"struct1\",\"data\":[{\"name\":\"伪装卡(100次)\",\"img\":\"https://pub.ouj.com/xie-h5/guide/power-1@2x.png\",\"type\":\"maskcard\",\"cardTypeName\":\"100场次\",\"cardCode\":\"\"},{\"name\":\"500金币\",\"img\":\"https://pub.ouj.com/xie-h5/guide/power-1@2x.png\",\"type\":\"coin\"}]}",
                "rewardJSON": {
                    "struct": "struct1",
                    "data": [
                        {
                            "name": "伪装卡(100次)",
                            "img": "https://pub.ouj.com/xie-h5/guide/power-1@2x.png",
                            "type": "maskcard",
                            "cardTypeName": "100场次",
                            "cardCode": ""
                        },
                        {
                            "name": "500金币",
                            "img": "https://pub.ouj.com/xie-h5/guide/power-1@2x.png",
                            "type": "coin"
                        }
                    ]
                },
                "is_received": true,
                "is_reached": true
            },
            {
                "reward_id": "3",
                "name": "3000元充值礼包",
                "level": "v4",
                "reach_amount": "300000",
                "cycle_type": "week",
                "reward_json": "{\"struct\":\"struct1\",\"data\":[{\"name\":\"伪装卡(300场次)\",\"img\":\"https://pub.ouj.com/xie-h5/guide/power-1@2x.png\",\"type\":\"maskcard\",\"cardTypeName\":\"300场次\",\"cardCode\":\"\"},{\"name\":\"1000金币\",\"img\":\"https://pub.ouj.com/xie-h5/guide/power-1@2x.png\",\"type\":\"coin\"}]}",
                "rewardJSON": {
                    "struct": "struct1",
                    "data": [
                        {
                            "name": "伪装卡(300场次)",
                            "img": "https://pub.ouj.com/xie-h5/guide/power-1@2x.png",
                            "type": "maskcard",
                            "cardTypeName": "300场次",
                            "cardCode": ""
                        },
                        {
                            "name": "1000金币",
                            "img": "https://pub.ouj.com/xie-h5/guide/power-1@2x.png",
                            "type": "coin"
                        }
                    ]
                },
                "is_received": true,
                "is_reached": true
            },
            {
                "reward_id": "6",
                "name": "5000元充值礼包",
                "level": "v3",
                "reach_amount": "500000",
                "cycle_type": "week",
                "reward_json": "{\"struct\":\"struct1\",\"data\":[{\"name\":\"伪装卡(月卡)\",\"img\":\"https://pub.ouj.com/xie-h5/guide/power-1@2x.png\",\"type\":\"maskcard\",\"cardTypeName\":\"月卡(30天)\",\"cardCode\":\"\"},{\"name\":\"2500金币\",\"img\":\"https://pub.ouj.com/xie-h5/guide/power-1@2x.png\",\"type\":\"coin\"}]}",
                "rewardJSON": {
                    "struct": "struct1",
                    "data": [
                        {
                            "name": "伪装卡(月卡)",
                            "img": "https://pub.ouj.com/xie-h5/guide/power-1@2x.png",
                            "type": "maskcard",
                            "cardTypeName": "月卡(30天)",
                            "cardCode": ""
                        },
                        {
                            "name": "2500金币",
                            "img": "https://pub.ouj.com/xie-h5/guide/power-1@2x.png",
                            "type": "coin"
                        }
                    ]
                },
                "is_received": true,
                "is_reached": true
            },
            {
                "reward_id": "4",
                "name": "10000元充值礼包",
                "level": "v5",
                "reach_amount": "1000000",
                "cycle_type": "week",
                "reward_json": "{\"struct\":\"struct1\",\"data\":[{\"name\":\"伪装卡(月卡)\",\"img\":\"https://pub.ouj.com/xie-h5/guide/power-1@2x.png\",\"type\":\"maskcard\",\"cardTypeName\":\"月卡(30天)\",\"cardCode\":\"\"},{\"name\":\"5000金币\",\"img\":\"https://pub.ouj.com/xie-h5/guide/power-1@2x.png\",\"type\":\"coin\"}]}",
                "rewardJSON": {
                    "struct": "struct1",
                    "data": [
                        {
                            "name": "伪装卡(月卡)",
                            "img": "https://pub.ouj.com/xie-h5/guide/power-1@2x.png",
                            "type": "maskcard",
                            "cardTypeName": "月卡(30天)",
                            "cardCode": ""
                        },
                        {
                            "name": "5000金币",
                            "img": "https://pub.ouj.com/xie-h5/guide/power-1@2x.png",
                            "type": "coin"
                        }
                    ]
                },
                "is_received": true,
                "is_reached": true
            },
            {
                "reward_id": "5",
                "name": "20000元充值礼包",
                "level": "v6",
                "reach_amount": "2000000",
                "cycle_type": "week",
                "reward_json": "{\"struct\":\"struct1\",\"data\":[{\"name\":\"伪装卡(月卡)\",\"img\":\"https://pub.ouj.com/xie-h5/guide/power-1@2x.png\",\"type\":\"maskcard\",\"cardTypeName\":\"月卡(30天)\",\"cardCode\":\"\"},{\"name\":\"7500金币\",\"img\":\"https://pub.ouj.com/xie-h5/guide/power-1@2x.png\",\"type\":\"coin\"}]}",
                "rewardJSON": {
                    "struct": "struct1",
                    "data": [
                        {
                            "name": "伪装卡(月卡)",
                            "img": "https://pub.ouj.com/xie-h5/guide/power-1@2x.png",
                            "type": "maskcard",
                            "cardTypeName": "月卡(30天)",
                            "cardCode": ""
                        },
                        {
                            "name": "7500金币",
                            "img": "https://pub.ouj.com/xie-h5/guide/power-1@2x.png",
                            "type": "coin"
                        }
                    ]
                },
                "is_received": true,
                "is_reached": true
            }
        ]
    }
}
```

##### 备注 

- 需要登录

